GDB (xrefs)

Public Attributes | List of all members
dwarf2_frame_state_reg Struct Reference

`#include "dwarf2-frame.h"`

## Public Attributes
union {
LONGEST offset
ULONGEST reg
struct {
const gdb_byte * start
ULONGEST len
} exp
struct value *(* fn )(struct frame_info *this_frame, void **this_cache, int regnum)
} | loc
enum dwarf2_frame_reg_rule | how

## Detailed Description

Definition at line 70 of file dwarf2-frame.h.

## Member Data Documentation

## ◆ exp

struct { ... } dwarf2_frame_state_reg::exp

Referenced by dwarf2_frame_prev_register().

## ◆ fn

struct value*(* dwarf2_frame_state_reg::fn) (struct frame_info *this_frame, void **this_cache, int regnum)

Definition at line 82 of file dwarf2-frame.h.

Referenced by dwarf2_frame_prev_register().

## ◆ how

enum dwarf2_frame_reg_rule dwarf2_frame_state_reg::how

Definition at line 85 of file dwarf2-frame.h.

Referenced by dwarf2_frame_cache(), and dwarf2_frame_prev_register().

## ◆ len

ULONGEST dwarf2_frame_state_reg::len

Definition at line 80 of file dwarf2-frame.h.

## ◆ loc

union { ... } dwarf2_frame_state_reg::loc

Referenced by dwarf2_frame_cache(), and dwarf2_frame_prev_register().

## ◆ offset

LONGEST dwarf2_frame_state_reg::offset

Definition at line 75 of file dwarf2-frame.h.

Referenced by dwarf2_frame_prev_register().

## ◆ reg

ULONGEST dwarf2_frame_state_reg::reg

Definition at line 76 of file dwarf2-frame.h.

Referenced by dwarf2_frame_cache(), and dwarf2_frame_prev_register().

## ◆ start

const gdb_byte* dwarf2_frame_state_reg::start

Definition at line 79 of file dwarf2-frame.h.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2-frame.h